Order lookup

Learn how to lookup orders.

The Order Lookuparrow-up-right resource lets you retrieve information about an order.

Retrieve the order by order ID and order password

You can retrieve your orderarrow-up-right. This request requires the anonymous shopper token, an order identifier (orderId), and an order password (password).

curl --location --request POST 'https://api.digitalriver.com/v1/shoppers/order-lookup?expand=all' \
--header 'authorization: Basic ***\
--header 'Accept: application/json' \
--header 'Content-Type: application/x-www-form-urlencoded' \
...
--data-urlencode 'orderId=order_id' \
--data-urlencode 'password=order_password'

See the Order lookup query parameters for more information.

Retrieve the order by email address and the last four digits of their payment card

You can retrieve a customer's current orderarrow-up-right. This request requires the customer's authenticated shopper token, email address, and the last four digits of their payment card.

curl --location --request POST 'https://api.digitalriver.com/v1/shoppers/order-lookup?expand=all' \
--header 'authorization: Basic ***\
--header 'Accept: application/json' \
--header 'Content-Type: application/x-www-form-urlencoded' \
...
--data-urlencode 'creditCardLastDigits=last_4_digits_of_their_payment_card' \
--data-urlencode 'emailAddress=shopper's_email_address'

See the Order lookup query parameters for more information.

Last updated